summaryrefslogtreecommitdiffstats
path: root/ci/kubernetes/post-install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/kubernetes/post-install.sh')
-rwxr-xr-xci/kubernetes/post-install.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/ci/kubernetes/post-install.sh b/ci/kubernetes/post-install.sh
new file mode 100755
index 00000000..104f9794
--- /dev/null
+++ b/ci/kubernetes/post-install.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -ex
+
+if [[ $1 == *"multus"* ]]; then
+ /snap/bin/kubectl apply -f kubernetes/kube_cni_multus.yml
+fi
+
+/snap/bin/kubectl apply -f kubernetes/nginx-app.yaml
+/snap/bin/kubectl cluster-info
+/snap/bin/kubectl get nodes
+/snap/bin/kubectl get pods --all-namespaces
+/snap/bin/kubectl get services,endpoints,ingress --all-namespaces